﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Interactivity;
using System.Windows.Resources;
using XDCColumnSeriesColorBinding.DataModel;

namespace XDCColumnSeriesColorBinding
{
    public class AssigningCategoryStyleBehavior : Behavior<ColumnSeries>
    {
        protected override void OnAttached()
        {
            base.OnAttached();
            AssociatedObject.AssigningCategoryStyle += AssociatedObject_AssigningCategoryStyle;
        }

        private void AssociatedObject_AssigningCategoryStyle(object sender, AssigningCategoryStyleEventArgs args)
        {
            SampleData currentColumn = args.GetItems(args.StartIndex, args.EndIndex)[0] as SampleData;
            args.Fill = currentColumn.ColumnBrush;
        }
    }
}
